package cn.iocoder.yudao.module.customer.controller.admin.info.vo;

import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 客户信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CustomerInfoRespVO {

    @Schema(description = "自增主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "8654")
    @ExcelProperty("自增主键")
    private Long id;

    @Schema(description = "客户uuid", example = "178")
    @ExcelProperty("客户uuid")
    private String customerId;

    @Schema(description = "客户编码")
    @ExcelProperty("客户编码")
    private String customerCode;

    @Schema(description = "客户名称", example = "张三")
    @ExcelProperty("客户名称")
    private String customerName;

    @Schema(description = "客户状态", example = "1")
    @ExcelProperty("客户状态")
    private String customerStatus;

    @Schema(description = "创建人员工id", example = "28498")
    @ExcelProperty("创建人员工id")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "张三")
    @ExcelProperty("创建人员工姓名")
    private String creatorEmployeeName;

    @Schema(description = "部门id", example = "8267")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称", example = "人事部")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "客户成立时间")
    @ExcelProperty("客户成立时间")
    private String registDate;

    @Schema(description = "注册资本金（万元）")
    @ExcelProperty("注册资本金（万元）")
    private BigDecimal capital;

    @Schema(description = "法人代表")
    @ExcelProperty("法人代表")
    private String legalPerson;

    @Schema(description = "员工人数")
    @ExcelProperty("员工人数")
    private Integer workforce;

    @Schema(description = "行业")
    @ExcelProperty("行业")
    private String trade;

    @Schema(description = "企业性质")
    @ExcelProperty("企业性质")
    private String customerNature;

    @Schema(description = "客户地址")
    @ExcelProperty("客户地址")
    private String companyAddress;

    @Schema(description = "客户联系人")
    @ExcelProperty("客户联系人")
    private String customerPerson;

    @Schema(description = "客户联系手机号")
    @ExcelProperty("客户联系手机号")
    private String customerPersonPhone;

    @Schema(description = "客户联系人办公地址")
    @ExcelProperty("客户联系人办公地址")
    private String companyPersonAddress;

    @Schema(description = "客户来源")
    @ExcelProperty("客户来源")
    private String customerFrom;

    @Schema(description = "是否开启 0开启1关闭", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("是否开启 0开启1关闭")
    private Integer isOpen;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("状态")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "4014")
    @ExcelProperty("租户编号")
    private Long tenantId;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

}